# Visualization
TKV3d
SelectMgr

# SelectMgr_ListOfFilter Class Reference

`#include <SelectMgr_ListOfFilter.hxx>`

## Public Member Functions

void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | SelectMgr_ListOfFilter ()
Standard_EXPORT void | Assign (const SelectMgr_ListOfFilter &Other)
void | operator= (const SelectMgr_ListOfFilter &Other)
Standard_EXPORT Standard_Integer | Extent () const
Standard_EXPORT void | Clear ()
| ~SelectMgr_ListOfFilter ()
Standard_Boolean | IsEmpty () const
Standard_EXPORT void | Prepend (const Handle(SelectMgr_Filter)&I)
Standard_EXPORT void | Prepend (const Handle(SelectMgr_Filter)&I, SelectMgr_ListIteratorOfListOfFilter &theIt)
Standard_EXPORT void | Prepend (SelectMgr_ListOfFilter &Other)
Standard_EXPORT void | Append (const Handle(SelectMgr_Filter)&I)
Standard_EXPORT void | Append (const Handle(SelectMgr_Filter)&I, SelectMgr_ListIteratorOfListOfFilter &theIt)
Standard_EXPORT void | Append (SelectMgr_ListOfFilter &Other)
Standard_EXPORT Handle_SelectMgr_Filter & | First () const
Standard_EXPORT Handle_SelectMgr_Filter & | Last () const
Standard_EXPORT void | RemoveFirst ()
Standard_EXPORT void | Remove (SelectMgr_ListIteratorOfListOfFilter &It)
Standard_EXPORT void | InsertBefore (const Handle(SelectMgr_Filter)&I, SelectMgr_ListIteratorOfListOfFilter &It)
Standard_EXPORT void | InsertBefore (SelectMgr_ListOfFilter &Other, SelectMgr_ListIteratorOfListOfFilter &It)
Standard_EXPORT void | InsertAfter (const Handle(SelectMgr_Filter)&I, SelectMgr_ListIteratorOfListOfFilter &It)
Standard_EXPORT void | InsertAfter (SelectMgr_ListOfFilter &Other, SelectMgr_ListIteratorOfListOfFilter &It)

## Private Member Functions

Standard_EXPORT | SelectMgr_ListOfFilter (const SelectMgr_ListOfFilter &Other)

## Private Attributes

Standard_Address | myFirst
Standard_Address | myLast

## Constructor & Destructor Documentation

Standard_EXPORT SelectMgr_ListOfFilter::SelectMgr_ListOfFilter | ( |  | ) |

SelectMgr_ListOfFilter::~SelectMgr_ListOfFilter | ( |  | ) | `[inline]`

Standard_EXPORT SelectMgr_ListOfFilter::SelectMgr_ListOfFilter | ( | const SelectMgr_ListOfFilter & | Other | ) | `[private]`

## Member Function Documentation

Standard_EXPORT void SelectMgr_ListOfFilter::Append | ( | SelectMgr_ListOfFilter & | Other | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Append | ( | const Handle(SelectMgr_Filter)& | I,
|  | SelectMgr_ListIteratorOfListOfFilter & | theIt
| ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Append | ( | const Handle(SelectMgr_Filter)& | I | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Assign | ( | const SelectMgr_ListOfFilter & | Other | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Clear | ( |  | ) |

Standard_EXPORT Standard_Integer SelectMgr_ListOfFilter::Extent | ( |  | ) | const

Standard_EXPORT Handle_SelectMgr_Filter& SelectMgr_ListOfFilter::First | ( |  | ) | const

Standard_EXPORT void SelectMgr_ListOfFilter::InsertAfter | ( | SelectMgr_ListOfFilter & | Other,
|  | SelectMgr_ListIteratorOfListOfFilter & | It
| ) |

Standard_EXPORT void SelectMgr_ListOfFilter::InsertAfter | ( | const Handle(SelectMgr_Filter)& | I,
|  | SelectMgr_ListIteratorOfListOfFilter & | It
| ) |

Standard_EXPORT void SelectMgr_ListOfFilter::InsertBefore | ( | SelectMgr_ListOfFilter & | Other,
|  | SelectMgr_ListIteratorOfListOfFilter & | It
| ) |

Standard_EXPORT void SelectMgr_ListOfFilter::InsertBefore | ( | const Handle(SelectMgr_Filter)& | I,
|  | SelectMgr_ListIteratorOfListOfFilter & | It
| ) |

Standard_Boolean SelectMgr_ListOfFilter::IsEmpty | ( |  | ) | const

Standard_EXPORT Handle_SelectMgr_Filter& SelectMgr_ListOfFilter::Last | ( |  | ) | const

void SelectMgr_ListOfFilter::operator delete | ( | void * | anAddress | ) | `[inline]`

void* SelectMgr_ListOfFilter::operator new | ( | size_t | size | ) | `[inline]`

void* SelectMgr_ListOfFilter::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

void SelectMgr_ListOfFilter::operator= | ( | const SelectMgr_ListOfFilter & | Other | ) | `[inline]`

Standard_EXPORT void SelectMgr_ListOfFilter::Prepend | ( | SelectMgr_ListOfFilter & | Other | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Prepend | ( | const Handle(SelectMgr_Filter)& | I,
|  | SelectMgr_ListIteratorOfListOfFilter & | theIt
| ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Prepend | ( | const Handle(SelectMgr_Filter)& | I | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::Remove | ( | SelectMgr_ListIteratorOfListOfFilter & | It | ) |

Standard_EXPORT void SelectMgr_ListOfFilter::RemoveFirst | ( |  | ) |

## Field Documentation

Standard_Address SelectMgr_ListOfFilter::myFirst `[private]`

Standard_Address SelectMgr_ListOfFilter::myLast `[private]`

The documentation for this class was generated from the following file:

- SelectMgr_ListOfFilter.hxx